libdvbv5 1.24.1 Library to work with Digital TV devices on Linux

Data Structures | Functions | Variables
desc_sat.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for the satellite delivery system descriptor. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures
struct | dvb_desc_sat
| Structure containing the satellite delivery system descriptor. More...

## Functions
int | dvb_desc_sat_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the satellite delivery system descriptor. More...
void | dvb_desc_sat_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the satellite delivery system descriptor. More...

## Variables
const unsigned | dvbs_dvbc_dvbs_freq_inner []
| converts from the descriptor's FEC into enum fe_code_rate, as defined by DVBv5 API. More...
const unsigned | dvbs_polarization []
| converts from the descriptor's polarization into enum dvb_sat_polarization, as defined at dvb-v5-std.h. More...
const unsigned | dvbs_rolloff []
| converts from the descriptor's rolloff into enum fe_rolloff, as defined by DVBv5 API. More...
const unsigned | dvbs_modulation []
| converts from the descriptor's modulation into enum fe_modulation, as defined by DVBv5 API. More...

## Detailed Description

Provides the descriptors for the satellite delivery system descriptor.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Relevant specs
  The descriptor described herein is defined at:
  - ETSI EN 300 468 V1.11.1

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_sat.h.

## Variable Documentation

## ◆ dvbs_dvbc_dvbs_freq_inner

const unsigned dvbs_dvbc_dvbs_freq_inner[]
| extern

converts from the descriptor's FEC into enum fe_code_rate, as defined by DVBv5 API.

## ◆ dvbs_modulation

const unsigned dvbs_modulation[]
| extern

converts from the descriptor's modulation into enum fe_modulation, as defined by DVBv5 API.

## ◆ dvbs_polarization

const unsigned dvbs_polarization[]
| extern

converts from the descriptor's polarization into enum dvb_sat_polarization, as defined at dvb-v5-std.h.

## ◆ dvbs_rolloff

const unsigned dvbs_rolloff[]
| extern

converts from the descriptor's rolloff into enum fe_rolloff, as defined by DVBv5 API.